%define oname py2cairo

Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.10.0
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Python
URL:		http://cairographics.org/pycairo
Source0:	http://cairographics.org/releases/%{oname}-%{version}.tar.bz2
Source1:	http://cairographics.org/releases/pycairo-%{version}.tar.bz2 
Patch0:		py2cairo-1.10.0-link.patch
Patch1:         pycairo-1.10.0-fix-waf-build.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	python-devel >= 2.6
BuildRequires:  python3-devel
BuildRequires:  waf-python3
Requires:	cairo >= 1.10.0
Provides:	%{oname} = %{version}-%{release}

%description
Aset of Python bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
Development files for %{name}.

# Python 3
%package -n python3-cairo
Summary:        Python 3 bindings for the cairo library
Group:		Development/Python

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary:        Libraries and headers for python3-cairo
Group:		Development/Python
Requires:       python3-cairo = %{version}-%{release}
Requires:       cairo-devel
Requires:       pkgconfig
Requires:       python3-devel

%description -n python3-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with python3-cairo.


%prep
%setup -q -c -T
# Python 2
tar xf %{SOURCE0}
mv %{oname}-%{version} python-cairo
pushd python-cairo
%patch0 -p0
touch ChangeLog
popd

# Python 3
tar xf %{SOURCE1}
mv pycairo-%{version} python3-cairo
pushd python3-cairo
%patch1 -p0
%__python3_waf --version
popd

%build
# Python 2
pushd python-cairo
autoreconf -fi
%configure2_5x
%make
popd

# Python 3
pushd python3-cairo
export PYTHON="%{_bindir}/python3"
CFLAGS="-I/usr/include/python%{python3_version} -lpython%{python3_version}m" %configure_python3_waf
%python3_waf
# remove executable bits from examples
find ./examples/ -type f -print0 | xargs -0 chmod -x
popd

%check
pushd python-cairo
make check
popd

%install
# Python 2
pushd python-cairo
%makeinstall_std
popd

# Python 3
pushd python3-cairo
%python3_waf_install
popd

# add executable bit to the .so libraries so we strip the debug info
find %{buildroot} -name '*.so' | xargs chmod +x
find %{buildroot} -name '*.la' | xargs rm -f

%files 
%{py_platsitedir}/cairo

%files devel
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo
%{py3_platsitedir}/cairo

%files -n python3-cairo-devel
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog
* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.10.0-4pclos2015
- rebuild on python 3.4.2

* Fri Dec 13 2013 billybot <billybot> 1.10.0-3pclos2013
- python3 really
